from main.core.serializers import NestedRouterForeignKeyDeserializerMixin
from rest_framework import serializers
from tags.models import Tag


class TagSerializer(serializers.ModelSerializer):
    class Meta:
        model = Tag
        fields = "__all__"


class TenantTagSerializer(NestedRouterForeignKeyDeserializerMixin, TagSerializer):
    router_lookups = ("tenant",)
