from clients.models import Client
from main.core.serializers import NestedRouterForeignKeyDeserializerMixin
from rest_framework import serializers


class ClientSerializer(serializers.ModelSerializer):
    class Meta:
        model = Client
        fields = "__all__"


class TenantClientSerializer(NestedRouterForeignKeyDeserializerMixin, ClientSerializer):
    router_lookups = ("tenant",)
