from rest_framework_simplejwt.views import TokenObtainPairView, TokenVerifyView, TokenRefreshView

from main.auth.serializers import TokenObtainPairSerializerEx, TokenVerifySerializerEx, TokenRefreshSerializerEx


class TokenObtainPairViewEx(TokenObtainPairView):
    serializer_class = TokenObtainPairSerializerEx


class TokenVerifyViewEx(TokenVerifyView):
    serializer_class = TokenVerifySerializerEx


class TokenRefreshViewEx(TokenRefreshView):
    serializer_class = TokenRefreshSerializerEx
