from main.core.serializers import NestedRouterForeignKeyDeserializerMixin
from rest_framework import serializers
from task_templates.models import TaskTemplate


class TaskTemplateSerializer(serializers.ModelSerializer):
    class Meta:
        model = TaskTemplate
        fields = "__all__"


class TenantTaskTemplateSerializer(NestedRouterForeignKeyDeserializerMixin, TaskTemplateSerializer):
    router_lookups = ("tenant",)
