from django.db.models import TextChoices


class TaskType(TextChoices):
    TEXT = ("TEXT", "Text")
    VOICE = ("VOICE", "Voice")
    MISSING_CALL = ("MISSING_CALL", "Missing call")


class TaskStatus(TextChoices):
    NEW = ("NEW", "New")
    IN_PROCESS = ("IN_PROCESS", "In process")
    DONE = ("DONE", "Done")
    CLOSED = ("CLOSED", "Closed")
