from main.core.permissions import AutoPermissions

APP_LABEL = "users"

DELETED_USER_NAME = "__deleted"
SYSTEM_USER_NAME = "vln-system"


class UserGroup:
    ADMINISTRATOR = "administrator"
    MANAGER = "manager"
    OPERATOR = "operator"


class UserPermission(AutoPermissions(APP_LABEL, "user")):
    class Raw:
        IS_MANAGER = "is_manager"
        IS_OPERATOR = "is_operator"

    IS_MANAGER = ".".join((APP_LABEL, Raw.IS_MANAGER))
    IS_OPERATOR = ".".join((APP_LABEL, Raw.IS_OPERATOR))
